cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"cidr_ip":"192.168.1.1","cidr_mask":32,"name":"Example","sql":true,"ui":true}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"name": "Example",
"sql": true,
"ui": true
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Add a new CIDR address to the IP allowlist
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
allowlist
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"cidr_ip":"192.168.1.1","cidr_mask":32,"name":"Example","sql":true,"ui":true}'{
"cidr_ip": "192.168.1.1",
"cidr_mask": 32,
"name": "Example",
"sql": true,
"ui": true
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json

